<template>
  <div>
    <p> {{ $t('custom-font') }}</p>
    <select @change="save" class="form-control" v-model="$store.state.custom.font">
      <option v-bind:key="item" v-for="item in allFonts">{{ item }}</option>
    </select>
  </div>
</template>

<script>
export default {
  data () {
    return {
      allFonts: ['serif', 'sans-serif', 'monospace', 'cursive', 'system-ui']
    }
  },
  methods: {
    save () {
      this.$store.commit('saveCustom', this.$store.state.custom)
    }
  }
}
</script>

<style scoped>
</style>
